Option Strict Off
Option Explicit On
Imports System.Windows.Forms
'------------------------------------ 2025/05/05 ------------------------------------
Module AppBas
    '***************************************************************************
    Public gggAppIniFile As 屲clsAppINI  '傾僾儕偺丂Public.Bas丂儌僕儏乕儖偱愰尵偡傞丅
    '***************************************************************************

    Friend Function 愨懳僷僗_PacoCOM帿彂_Folder() As String
        Dim sAppPathyy As String = 嘳僷僗僙僷儗乕僞晅壛(嘳App僼僅儖僟柤())
        '2025/05/05  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        Const FolderName As String = "PacoCOM帿彂"
#If DEBUG Then
        Return sAppPathyy & "..\..\..\" & FolderName
#Else
        Return sAppPathyy & "..\" & FolderName
#End If
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '2025/05/05  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
    End Function

    Friend Function 愨懳僷僗_AppPathCurSubFolder(ByVal rSubFolderName As String) As String
        Dim sAppPathyy As String = 嘳僷僗僙僷儗乕僞晅壛(嘳App僼僅儖僟柤())
        '2023/11/15  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
#If DEBUG Then
        Return sAppPathyy & "..\..\" & rSubFolderName
#Else
        Return sAppPathyy & rSubFolderName
#End If
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛仛
        '2023/11/15  傾僾儕偺奐敪娐嫬偱偺愝掕偵傛傝丄僨僶僢僌儌乕僪偺幚峴僼傽僀儖偺埵抲偑曄傢傝偆傞偺偱丄憡懳僷僗偺愝掕偵拲堄偑昁梫丅
        ''-----------------------------
        'Return sAppPathyy & rSubFolderName
        ''-----------------------------
    End Function
End Module
